:root{
    font-size: 100%; /* 16px */

    --header-height: 4.5rem;

  /* colors */
  --hue: 159;
  /* HSL color mode */
  --base-color: hsl(var(--hue) 36% 57%);
  --base-color-second: hsl(var(--hue) 65% 88%);
  --base-color-alt: hsl(var(--hue) 57% 53%);
  --title-color: hsl(var(--hue) 41% 10%);
  --text-color: hsl(0 0% 46%);
  --text-color-light: hsl(0 0% 98%);
  --body-color: hsl(0 0% 98%);

  /* fonts */
  --title-font-size: 1.875rem;
  --subtitle-font-size: 1rem;
}

/* RESET STYLE ====================*/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

    text-decoration: none;
    list-style: none;
}


img{
    width: 100%;
    height: auto;
}

/* GLOBALS ===========================*/

html{
    scroll-behavior: smooth;
}

body{
    font: 400 1rem 'DM Sans', sans-serif;
    color: var(--text-color);
    background-color: var(--body-color);
    -webkit-font-smoothing: antialiased;
}



.title{
    font: 700 var(--title-font-size) 'Poppins', sans-serif;
    color: var(--title-color);
    -webkit-font-smoothing: auto;
}

.container{
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

.grid{
    display: grid;
    gap: 2rem;
}

.section{
    padding: calc(5rem + var(--header-height)) 0;
}

.section header {
    margin-bottom: 4rem;
}

.section header  strong{
    color: var(--base-color);
}

.section .title{
    margin-bottom: 1rem;
}

.section .subtitle{
    font-size: var(--subtitle-font-size);
}

.button{
    background-color: var(--base-color);
    color: var(--text-color-light);
    height: 3.5rem;
    display: inline-flex;
    align-items: center;
    padding: 0 2rem;
    border-radius: 0.25rem;
    font: 500 1rem "DM Sans", sans-serif;
    transition: background .3s;
}

.button:hover{
    background-color: var(--base-color-alt);
}

.divider-1 {
    height: 1px;
    background: linear-gradient(
        270deg,
       hsla(var(--hue), 36%, 57%, 1) 0%,
       hsla(var(--hue), 65%, 88%, 0.37) 100%
    );
}
.divider-2 {
    height: 1px;
    background: linear-gradient(
        270deg,
       hsla(var(--hue), 65%, 88%, 0.34),
       hsla(var(--hue), 36%, 57%, 1)
    );
}


/* HEADER ============================*/

#header{
    border-bottom: 1px solid #e4e4e4;
    display: flex;

    width: 100%;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 100;

    background-color: var(--body-color);
}

#header.scroll{
    box-shadow: 0 0 12px rgba(0, 0, 0, .1);
}


/* LOGO ============================*/

.logo{
    font: 700 1.31rem 'Poppins', sans-serif;
    color: var(--title-color);
}

.logo span{
    color: var(--base-color);
}

.logo-alt span {
    color: var(--body-color);
}




/* NAVIGATION ============================*/

nav{
    height:var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

nav ul li{
    text-align: center;
    position: relative;
}

nav ul li a:hover{
    transition: color .2s;
}


nav ul li a:hover,
nav ul li a.active{
    color: var(--base-color);
    font-weight: bold;
    
}

nav ul li a:after{
    content: '';
    width: 0%;
    height: 2px;
    background: var(--base-color);
    position: absolute;
    left: 0;
    bottom: 0;

    transition: width .2s;
}

nav ul li a:hover::after,
nav ul li a.active::after{
  width: 100%;
}

/* SHOW MENU ============================*/

nav.show ul.grid {
    gap: 2rem;
}

nav .menu{
    opacity: 0;
    visibility: hidden;
    top: -20rem;
    transition: .2s;
}

nav .menu ul{
    display: none;
}

nav.show .menu ul{
    display: grid;
}

nav.show .menu{
    opacity: 1;
    visibility: visible;

    background: var(--body-color);
    height: 100vh;
    width: 100vw;

    position: fixed;
    top: 0;
    left: 0;

    display: grid;
    place-content: center;
}

/* TOGGLE MENU */

.toggle{
    color: var(--base-color);
    font-size: 1.5rem;
    cursor: pointer;
}

nav .icon-close {
    visibility: hidden;
    opacity: 0;

    position: absolute;
    top: -1.5rem;
    right: 1.5rem;
    transition: .2s;
}

nav.show div.icon-close{
    visibility: visible;
    opacity: 1;
    top: 1.5rem;
}


/* HOME ============== */

#home{
    overflow: hidden;
}

#home .container {
    margin: 0;
}

#home .image{
    position: relative;
}

#home .image::before{
    content: '';
    height: 100%;
    width: 100%;
    background-color: var(--base-color-second);
    position: absolute;
    top: -16.8%;
    left: 16.7%;
    z-index: 0;
}

#home .image img{
    position: relative;
    right: 2.93rem;
}

#home .image img,
#home .image::before{
    border-radius: 0.25rem;
}

#home .text{
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    text-align: center;
}
#home .text h1{
    margin-bottom: 1rem;
}

#home .text p {
    margin-bottom: 2rem;
    max-width: 100%;
}

/* ABOUT ============== */

#about{
    background: white;
}

#about .image{
    position: relative;
}

#about .image::before{
    content: '';
    height: 100%;
    width: 100%;
    background-color: var(--base-color-second);
    position: absolute;
    top: -8.3%;
    left: -33%;
    z-index: 0;
}

#about .image img{
    position: relative;
}

#about .image img,
#about .image::before{
    border-radius: 0.25rem;
}

#about .text{
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

/* SERVICES ============================*/

.cards.grid{
    gap: 1.5rem;
}

.card{
    padding: 3.625rem 2rem;
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.08);
    border-bottom: .25rem solid var(--base-color);
    border-radius: .25rem .25rem 0 0;
    text-align: center;
}

.card i {
    display: block;
    margin-bottom: 1.5rem;
    font-size: 5rem;
    color: var(--base-color);
}

.card .title {
    font-size: 1.5rem;
    margin-bottom: .75rem;
}

/* TESTIMONIALS ============================*/

#testimonials {
    background: white;
}

#testimonials .container{
    margin-left: 0;
    margin-right: 0;
}

#testimonials header{
    margin-bottom: 0;
    margin-left: 1.5rem;
    margin-right: 1.5rem;

}

#testimonials blockquote {
    padding: 2rem;
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.08);
    border-radius: .25rem;
}

#testimonials blockquote p {
    position: relative;
    text-indent: 1.1875rem;
    margin-bottom: 1.5rem;
    color: var(--title-color);
}


#testimonials blockquote p span {
    font: 700 3rem 'serif';
    color: var(--base-color);
    position: absolute;
    top: -.5rem;
    left: -1.875rem;
}

#testimonials cite {
    display: flex;
    align-items: center;
    font-style: normal;
}

#testimonials cite img {
    width: 2rem;
    height: 2rem;
    object-fit: cover;
    clip-path: circle();
    margin-right: .5rem;
}

/* SWIPER ============================*/

.swiper-slide {
    height: auto;
    padding: 4rem 1rem;
}

.swiper-pagination-bullet-active{
    background: var(--base-color);
}

/* CONTACT ============================*/

#contact .grid{
    gap: 4rem;
}

#contact .links {
    margin-top: 2rem;
}

#contact .text p {
    margin-bottom: 2rem;
}

#contact .button i,
#contact ul li i {
    font-size: 1.5rem;
    margin-right: 0.625rem;
}

#contact ul.grid {
    gap: 2rem;
}

#contact ul li{
    display: flex;
    align-items: center;
}

#contact ul li i{
    color: var(--base-color);
}

/* FOOTER ============================*/

footer{
    background: var(--base-color);
}

footer .section{
    padding: 4rem 0;
}

footer .logo {
    display: inline-block;
    margin-bottom: 1.5rem;
}

footer .brand p{
    color: var(--text-color-light);
    margin-bottom: 0.75rem;
}

footer i {
    font-size: 1.5rem;
    color: var(--text-color-light);
}

footer .social a {
    margin-right: 2rem;
    transition: .3s;
    display: inline-block;
}

footer .social a:hover{
    transform: translateY(-8px);
}

/* Back to top */
.back-to-top{
    position: fixed;
    bottom: 1.5rem;
    right: 1.5rem;

    background-color: var(--base-color);
    color: var(--text-color-light);

    padding: .3rem;
    clip-path: circle();
    font-size: 1.5rem;
    line-height: 0;
    transition: .3s ;

    opacity: 0;
    visibility: hidden;

    transform: translateY(100%);
}

.back-to-top.show{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/*====MEDIA QUERY ===== */

/*Extra large devices: 1200px > */
@media (min-width: 1200px){

    .container{
        max-width: 1120px;
        margin-left: auto;
        margin-right: auto;
    }

    main{
        margin-top: var(--header-height);
    }

    .section{
        padding: 10rem 0;
    }

    .section header,
    #testimonials header {
        max-width: 32rem;
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    }

    nav .menu{
        opacity: 1;
        visibility: visible;
        top: 0;
    }

    nav .menu ul{
        display: flex;
        gap: 2rem;
    }

    nav .icon-menu{
        display: none;
    }

    nav .menu ul li a.title{
        font: 400 1rem "DM Sans";
    }

    #home .container{
        grid-auto-flow: column;
        width: fit-content;
        justify-content: space-between;
        margin: 0 auto;
    }

    #home .image{
        order: 1;
    }
    #home .text{
        order: 0;
        max-width: 24rem;
        text-align: left;
    }
    .button{
        height: 3.12rem;
    }


    /* about */
    #about .container{
        margin: 0 auto;
        grid-auto-flow: column;
    }

    /* Services */
    .cards {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .card{
        padding-left: 3rem;
        padding-right: 3rem;
    }

    /* Testimonials */
    #testimonials .container{
        margin-left: auto;
        margin-right: auto;
    }

    /* Contact */
    #contact .container{
        grid-auto-flow: column;
        align-items: center;
    }

    #contact .text{
        max-width: 25rem;
    }

    /* Footer */
    footer.section{
        padding: 3.75rem 0;
    }

    footer .container{
        grid-auto-flow: column;
        align-items: center;
        justify-content: space-between;
    }

    footer .logo{
        font-size: 2.25rem;
    }


  
}

/*large devices: 1023px > */

/*large devices: 992px > */
@media (min-width: 992px) {
    :root{
        --title-font-size: 2.25rem;
        --subtitle-font-size: 1.125rem;
    }
}
/*Medium devices: 767px > */

/* Responsive */
